# Company

## Get company

> Retrieves information about the current company

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"Company":{"type":"object","description":"The company object","properties":{"id":{"type":"string"},"name":{"type":"string"},"email":{"type":"string","format":"email"},"primary_color":{"type":"string","minLength":7,"maxLength":7},"country_id":{"type":"string","description":"The ISO-3166 Alpha-2 country code for this company"},"state_id":{"type":"string","description":"The state code for the company, if applied"},"industry_id":{"type":"number","description":"The company's industry, if applied"},"sector_id":{"type":"number","description":"The company's sector, if applied"},"criterias":{"description":"The company's custom criterias, if applied","type":"array","items":{"type":"number"}},"vat_number":{"type":"string","description":"The new company VAT number"},"registration_number":{"type":"string","description":"The new company registration number"},"logo_url":{"type":"string","format":"uri","description":"The URL of the company's logo image on dark background"},"logo_light_url":{"type":"string","format":"uri","description":"The URL of the company's logo image on light background"},"default_language":{"type":"object","description":"The company's default language","properties":{"id":{"type":"string","description":"The language id"},"code":{"type":"string","description":"The language code"},"name":{"type":"string","description":"The language name"}}},"contact_information":{"type":"object","description":"The company's contact information","properties":{"email":{"type":"string","description":"The primary contact email address","format":"email"},"phone_number":{"type":"string","description":"The primary contact phone number"},"fax_number":{"type":"string","description":"The primary fax number"}}},"offices":{"description":"An array of offices and addresses for the company","type":"array","items":{"type":"object","properties":{"is_main":{"type":"boolean","description":"Marks the given office as the main office, should be set only once in the array"},"id":{"type":"number","description":"Optional, specified only if we want to update an existing office. If not specified, the system will create a new office"},"name":{"type":"string","description":"A description name of the office"},"address":{"$ref":"#/components/schemas/Address"}}}},"representatives":{"description":"An array of copany representatives","type":"array","items":{"$ref":"#/components/schemas/Representative"}},"bank_accounts":{"type":"array","description":"A list of company bank accounts","items":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string","description":"The bank account name"},"account_number":{"type":"string","description":"The bank account number"}}}}}},"Address":{"type":"object","description":"The address object","properties":{"id":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"state":{"type":"string"},"address":{"type":"string","maxLength":50},"address_2":{"type":"string","maxLength":50},"postal_code":{"type":"string","maxLength":15},"phone_number":{"type":"string","maxLength":13}}},"Representative":{"type":"object","description":"The data processing officer/representative object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["PERSON","ORGANIZATION"],"description":"The type of DPO configured"},"email":{"type":"string","format":"email","description":"The contact email address of the DPO"},"company_name":{"type":"string","description":"The company name, only for when we have an organization"},"first_name":{"type":"string","description":"The DPO first name"},"last_name":{"type":"string","description":"The DPO last name"},"position":{"type":"string","description":"The official position of the DPO within the company, available for persons and data representatives"},"description":{"type":"string","description":"The DPO short description"},"avatar_url":{"type":"string","format":"uri","description":"The DPO avatar URL, if available"},"category":{"type":"string","description":"The DPO category"},"jurisdiction":{"type":"array","description":"The DPO jurisdiction, available for data representatives","items":{"type":"string"}},"address":{"$ref":"#/components/schemas/Address"},"created_at":{"type":"string","format":"date-time"}}}}},"paths":{"/portal/instance/company":{"get":{"summary":"Get company","description":"Retrieves information about the current company","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"responses":{"200":{"description":"The company information","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"result":{"$ref":"#/components/schemas/Company"}}}}}}}}}}}
```

## Update company

> Change company information and settings

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"CompanyForm":{"type":"object","properties":{"name":{"type":"string","description":"The new company name"},"email":{"type":"string","format":"email","description":"The new company email"},"lang":{"type":"string","description":"The new default language for the company"},"vat_number":{"type":"string","description":"The new company VAT number"},"registration_number":{"type":"string","description":"The new company registration number"},"primary_color":{"type":"string","description":"The hex-encoded color to be applied for this company"},"country_id":{"type":"string","description":"The ISO-3166 Alpha-2 country code for this company, available via the /company/countries API call"},"state_id":{"type":"string","description":"The state code for the company, if applied, available via the /company/countries API call"},"industry_id":{"type":"number","description":"The company's industry, available via the /company/industries API call"},"sector_id":{"type":"number","description":"The company's sector, available via the /company/sectors API call"},"criterias":{"description":"The company's custom criteria groups, available via the /company/criteria-groups API call","type":"array","items":{"type":"number"}},"logo_url":{"type":"string","description":"A previously-uploaded image id that will act as the company's logo image on dark background"},"logo_light_url":{"type":"string","description":"A previously-uploaded image id that will act as the company's logo image on light background"},"offices":{"description":"An array of offices and addresses for the company","type":"array","items":{"type":"object","properties":{"is_main":{"type":"boolean","description":"Marks the given office as the main office, should be set only once in the array"},"id":{"type":"number","description":"Optional, specified only if we want to update an existing office. If not specified, the system will create a new office"},"name":{"type":"string","description":"A description name of the office"},"address":{"$ref":"#/components/schemas/Address"}}}},"bank_accounts":{"type":"array","description":"Specify the list of bank accounts for the company","items":{"type":"object","properties":{"id":{"type":"number","description":"Optional, specified only if we want to update an existing bank account. If not specified, the system will create a new one."},"name":{"type":"string","description":"The bank account name"},"account_number":{"type":"string","description":"The bank account number"}}}},"contact_information":{"type":"object","description":"Specify primary company contact information","properties":{"email":{"type":"string","description":"The primary contact email address","format":"email"},"phone_number":{"type":"string","description":"The primary contact phone number"},"fax_number":{"type":"string","description":"The primary fax number"}}}}},"Address":{"type":"object","description":"The address object","properties":{"id":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"state":{"type":"string"},"address":{"type":"string","maxLength":50},"address_2":{"type":"string","maxLength":50},"postal_code":{"type":"string","maxLength":15},"phone_number":{"type":"string","maxLength":13}}}}},"paths":{"/portal/instance/company":{"put":{"summary":"Update company","description":"Change company information and settings","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyForm"}}}},"responses":{"200":{"description":"Company information updated","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```

## Prepare upload

> This API endpoint is used when you want to upload a logo image to the company. This will generate a signed upload URL you can use.

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}}},"paths":{"/portal/instance/company/sign-asset":{"post":{"summary":"Prepare upload","description":"This API endpoint is used when you want to upload a logo image to the company. This will generate a signed upload URL you can use.","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"description":"The type of asset you want to prepare the upload for","type":"string","enum":["logo_light","logo"]},"mime":{"type":"string","description":"The mime type of the image you want to upload"}},"required":["type","mime"]}}}},"responses":{"200":{"description":"Result with an upload URL you can use","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"result":{"type":"object","required":["url"],"properties":{"url":{"type":"string","format":"uri","description":"The upload URL to be used to upload the image."}}}}}}}}}}}}}
```

## Delete asset

> This API endpoint is used when you want to remove a previously uploaded asset from the company.

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}}},"paths":{"/portal/instance/company/image/{type}":{"delete":{"summary":"Delete asset","description":"This API endpoint is used when you want to remove a previously uploaded asset from the company.","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}},{"in":"path","name":"type","required":true,"schema":{"type":"string","enum":["logo","logo_light"]}}],"responses":{"200":{"description":"Request completed successfully","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object"}}}}}}}}}}}
```

## Create representative

> Create a new company-level representative

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"RepresentativeForm":{"type":"object","description":"The representative form","properties":{"type":{"description":"The type of representative to configure","type":"string","enum":["PERSON","ORGANIZATION"]},"category":{"description":"The representative category","type":"string","enum":["DPO","REPRESENTATIVE","DATA_REPRESENTATIVE"]},"company_name":{"description":"The company name if the representative is an organization","type":"string"},"first_name":{"description":"The person's first name if the representative is a person","type":"string"},"last_name":{"description":"The person's last name if the representative is a person","type":"string"},"position":{"description":"The representative's position within the company","type":"string"},"description":{"description":"A short representative description","type":"string"},"email":{"type":"string","format":"email","description":"The representative's email address"},"jurisdiction":{"type":"array","description":"The representative's jurisdiction in case of a data representative","items":{"type":"string","enum":["UK","EU","CH"]}},"country":{"type":"string","description":"The representative's 2-letter country code"},"state":{"type":"string","description":"The representative's state"},"city":{"type":"string","description":"The representative's city"},"address":{"type":"string","description":"The representative's address"},"address_2":{"type":"string","description":"The representative's address 2"},"postal_code":{"type":"string","description":"The representative's postal code"},"phone_number":{"type":"string","description":"The representative's phone number"},"avatar_url":{"type":"string","description":"A previously signed and uploaded asset id"}}},"Representative":{"type":"object","description":"The data processing officer/representative object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["PERSON","ORGANIZATION"],"description":"The type of DPO configured"},"email":{"type":"string","format":"email","description":"The contact email address of the DPO"},"company_name":{"type":"string","description":"The company name, only for when we have an organization"},"first_name":{"type":"string","description":"The DPO first name"},"last_name":{"type":"string","description":"The DPO last name"},"position":{"type":"string","description":"The official position of the DPO within the company, available for persons and data representatives"},"description":{"type":"string","description":"The DPO short description"},"avatar_url":{"type":"string","format":"uri","description":"The DPO avatar URL, if available"},"category":{"type":"string","description":"The DPO category"},"jurisdiction":{"type":"array","description":"The DPO jurisdiction, available for data representatives","items":{"type":"string"}},"address":{"$ref":"#/components/schemas/Address"},"created_at":{"type":"string","format":"date-time"}}},"Address":{"type":"object","description":"The address object","properties":{"id":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"state":{"type":"string"},"address":{"type":"string","maxLength":50},"address_2":{"type":"string","maxLength":50},"postal_code":{"type":"string","maxLength":15},"phone_number":{"type":"string","maxLength":13}}}}},"paths":{"/portal/instance/company/representatives":{"post":{"summary":"Create representative","description":"Create a new company-level representative","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RepresentativeForm","required":["type","category","email"]}}}},"responses":{"200":{"description":"Result with the representative information","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"result":{"$ref":"#/components/schemas/Representative"}}}}}}}}}}}
```

## Update representative

> Update a previously created company-level representative

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}},"schemas":{"RepresentativeForm":{"type":"object","description":"The representative form","properties":{"type":{"description":"The type of representative to configure","type":"string","enum":["PERSON","ORGANIZATION"]},"category":{"description":"The representative category","type":"string","enum":["DPO","REPRESENTATIVE","DATA_REPRESENTATIVE"]},"company_name":{"description":"The company name if the representative is an organization","type":"string"},"first_name":{"description":"The person's first name if the representative is a person","type":"string"},"last_name":{"description":"The person's last name if the representative is a person","type":"string"},"position":{"description":"The representative's position within the company","type":"string"},"description":{"description":"A short representative description","type":"string"},"email":{"type":"string","format":"email","description":"The representative's email address"},"jurisdiction":{"type":"array","description":"The representative's jurisdiction in case of a data representative","items":{"type":"string","enum":["UK","EU","CH"]}},"country":{"type":"string","description":"The representative's 2-letter country code"},"state":{"type":"string","description":"The representative's state"},"city":{"type":"string","description":"The representative's city"},"address":{"type":"string","description":"The representative's address"},"address_2":{"type":"string","description":"The representative's address 2"},"postal_code":{"type":"string","description":"The representative's postal code"},"phone_number":{"type":"string","description":"The representative's phone number"},"avatar_url":{"type":"string","description":"A previously signed and uploaded asset id"}}},"Representative":{"type":"object","description":"The data processing officer/representative object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["PERSON","ORGANIZATION"],"description":"The type of DPO configured"},"email":{"type":"string","format":"email","description":"The contact email address of the DPO"},"company_name":{"type":"string","description":"The company name, only for when we have an organization"},"first_name":{"type":"string","description":"The DPO first name"},"last_name":{"type":"string","description":"The DPO last name"},"position":{"type":"string","description":"The official position of the DPO within the company, available for persons and data representatives"},"description":{"type":"string","description":"The DPO short description"},"avatar_url":{"type":"string","format":"uri","description":"The DPO avatar URL, if available"},"category":{"type":"string","description":"The DPO category"},"jurisdiction":{"type":"array","description":"The DPO jurisdiction, available for data representatives","items":{"type":"string"}},"address":{"$ref":"#/components/schemas/Address"},"created_at":{"type":"string","format":"date-time"}}},"Address":{"type":"object","description":"The address object","properties":{"id":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"state":{"type":"string"},"address":{"type":"string","maxLength":50},"address_2":{"type":"string","maxLength":50},"postal_code":{"type":"string","maxLength":15},"phone_number":{"type":"string","maxLength":13}}}}},"paths":{"/portal/instance/company/representatives/{id}":{"put":{"summary":"Update representative","description":"Update a previously created company-level representative","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string","description":"The representative id"}},{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RepresentativeForm"}}}},"responses":{"200":{"description":"Result with the DPO information","content":{"application/json":{"schema":{"type":"object","required":["result"],"properties":{"result":{"$ref":"#/components/schemas/Representative"}}}}}}}}}}}
```

## Delete representative

> Deletes a previously created company-level representative

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}}},"paths":{"/portal/instance/company/representatives/{id}":{"delete":{"summary":"Delete representative","description":"Deletes a previously created company-level representative","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string","description":"The representative id"}},{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"responses":{"200":{"description":"Result with the DPO information","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"deleted":{"type":"boolean"}}}}}}}}}}}}}
```

## Prepare upload

> This API endpoint is used when you want to upload a profile image to the representative. This will generate a signed upload URL you can use.

```json
{"openapi":"3.0.3","info":{"title":"Instance Company Partner API","version":"1.0"},"servers":[{"url":"https://partners.clym.io/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key generated in Clym Partner Portal."}}},"paths":{"/portal/instance/company/representatives/sign-asset":{"post":{"summary":"Prepare upload","description":"This API endpoint is used when you want to upload a profile image to the representative. This will generate a signed upload URL you can use.","parameters":[{"in":"query","name":"merchant_id","schema":{"type":"string","description":"Either a merchant ID or a domain ID is required"}},{"in":"query","name":"domain_id","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["mime"],"properties":{"mime":{"type":"string","description":"The mime type of the image you want to upload"}}}}}},"responses":{"200":{"description":"Result with an upload URL you can use","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","required":["url"],"properties":{"url":{"type":"string","format":"uri","description":"The upload URL to be used to upload the image."}}}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clym.io/api-reference/instance/company.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
